ad_account_id| Campaign objective | Description | CBO? |
|---|---|---|
| Awareness | Help people discover your brand, products or other services. | Yes |
| Consideration | Help increase the number of Pin clicks or outbound clicks on your ad. | Yes |
| Web conversion | Drive people to take actions like checkout, sign up, or add to cart on your website. | Yes |
| Catalog sales | Help people discover your products or services while searching Pinterest for inspiration. | Yes |
| Video completion | Optimize for users to view your video to completion. | |
| Web sessions | Deprecated. | N/A |
| Budget Type | Parameter Settings | Description |
|---|---|---|
| Lifetime | lifetime_spend_cap | Set a total budget for flexible spending based on optimal daily opportunities. |
Pinterest Performance+ budget (Also known as "Average Daily") | daily_spend_capis_flexible_daily_budgetstrue | Set a flexible daily spend based on optimal spending opportunities. |
| Fixed Daily | daily_spend_capis_flexible_daily_budgetsfalse | Set a consistent amount to spend each day. |
lifetime_spend_capdaily_spend_capstart_timeend_time parametersstatuspausedstatus| Status Type | Description |
|---|---|
| ACTIVE | Campaign is active and accruing costs. |
| PAUSED | Campaign is paused, not accruing costs. You are unable to edit certain fields such as
objective_type |
| DRAFT | Campaign is not active and all fields are editable. Can incrementally build and save
multiple draft campaigns until they're ready to be published. Different users can also
collaborate together on the same draft as long as they have the appropriate Business Access. |
| DELETED_DRAFT | Draft is permanently deleted. |
| ARCHIVE | Campaign is deleted. Reach out to customer ops agent and file a ticket to reverse. |
is_automated_campaign| Parameter | Description |
|---|---|
account_idstring Required | Unique identifier of the account that is labeling the asset. Find your account ID. |
labels.valuestring Required | Label name. 100-character limit. |
labels.label_typestring Required | Category for the labeled items: BRANDYou can apply one brand label to a campaign. CUSTOMYou also can use brand and custom labels together for a campaign. |
labelserrors| Field | Description |
|---|---|
errors.labels.error_messages | Reason that a label could not be applied. |
labels.id | Unique identifier of the label. |
label_status | Whether the label is in use ( ACTIVEARCHIVEDWhen you initially create a label, its status is ACTIVE |
| Parameter | Description |
|---|---|
ad_account_idstring Required | Your advertiser account ID, which is associated with the label ID. |
label_idstring Required | Indentifier for the label you created (see response fields) and now want to apply to the campaigns. You can view all labels associated with your account and their IDs. |
entity_idstring Required | The ID of the campaign you want to label. You can submit up to 250 campaigns in a request. |
curl --location --request POST 'https://api.pinterest.com/ad_accounts/123456789/labels/987654321/apply?'\ --header 'Authorization: Bearer pina_ABCD1234...' \ --header 'Content-Type: application/json' \ --data { "entity_ids": [ "0987654321", "0987654322", "0987654323" ] }
| Field | Description |
|---|---|
entities_labelsarray of objects | Container for all the labels you wanted to apply in the request. Each object is organized by an entity_id |
entities_labelsstatusstring | The status of the label in that particular campaign. ACTIVEARCHIVEDNULL |
errorsarray of objects | Container for errors that prevented any labels from being applied in the request. |
errors.messagesarray of strings | Explanations for why any errors occurred. |
{ "results": [ { "entity_id": "0987654321", "entity_type": "CAMPAIGN", "label_id": "label_abc123", "status": "ACTIVE" }, { "entity_id": "0987654322", "entity_type": "CAMPAIGN", "label_id": "label_abc123", "status": "ARCHIVED" }, { "entity_id": "0987654323", "entity_type": "CAMPAIGN", "label_id": "label_abc123", "status": "NULL" } ], "errors": [ { "data": { "entity_id": "0987654323", "label_id": "label_abc123", "status": "NULL" }, "error_messages": ["The provided campaign ID does not exist or is not accessible."] } ] }
namecampaign_idbillable_eventstart_timeend_time parameters